﻿using System;
using System.Linq;
using System.Text;
using EAV.Bridge;

namespace EAV.Test
{
    [Mappable("person")]
    public class Person : BaseItem
    {
        [Mappable("person.firstName")]
        public virtual string FirstName { get; set; }

        [Mappable("person.lastName")]
        public virtual string LastName { get; set; }

        [Mappable("person.age")]
        public virtual int? Age { get; set; }

        [Relation("fk_pet.id")]
        public virtual List<Animal> Pets { get; set; }

        [Relation("fk_friend.id")]
        public virtual List<Person> Friends { get; set; }
    }
}
