﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using EAV.Bridge;

namespace EAV.Test
{
    class Program
    {
        static void Main(string[] args)
        {
            Filter f = new Filter("person.firstName", FilterOperator.Equal, "Davide");
            Person davide2 = ItemFactory.FromDB<Person>(ReadMode.Eager, FilterMode.And, f).FirstOrDefault();

            Person anna = davide2.Friends.FirstOrDefault();

            anna.Age = 25;

            anna.Save();
        }
    }
}
