﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace EAV.Bridge
{
    public class Filter
    {
        const string FILTER_FORMAT = "({0} {1} {2})";

        public Filter() { }
        public Filter(string name, FilterOperator op, object value)
        {
            Name = name;
            Operator = op;
            Value = value;
        }
        public string Name { get; set; }
        public object Value { get; set; }
        
        public FilterOperator Operator { get; set; }
    }
}
