﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace EAV.Bridge
{
    public class FilterOperator
    {
        string _operator;

        static FilterOperator _lesser = new FilterOperator("<");
        static FilterOperator _greater = new FilterOperator(">");
        static FilterOperator _lesserOrEqual = new FilterOperator("<=");
        static FilterOperator _greaterOrEqual = new FilterOperator(">=");
        static FilterOperator _equal = new FilterOperator("=");

        public static FilterOperator Lesser { get { return _lesser; } }
        public static FilterOperator Greater { get { return _greater; } }
        public static FilterOperator LesserOrEqual { get { return _lesserOrEqual; } }
        public static FilterOperator GreaterOrEqual { get { return _greaterOrEqual; } }
        public static FilterOperator Equal { get { return _equal; } }

        public FilterOperator(string op) { _operator = op; }

        public override string ToString()
        {
            return _operator;
        }
    }
}
