﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace EAV.Bridge
{
    [AttributeUsage(AttributeTargets.Class | AttributeTargets.Property)]
    public class Mappable : Attribute
    {
        string _mapOn;

        public string MapOn { get { return _mapOn; } }

        public Mappable(string mapOn) { _mapOn = mapOn; }
    }
}
